import { format } from 'prettier';
export default function (options) {
    const opts = {
        prettierOptions: {
            arrowParens: 'avoid',
            bracketSpacing: true,
            htmlWhitespaceSensitivity: 'css',
            insertPragma: false,
            bracketSameLine: false,
            jsxSingleQuote: false,
            parser: 'html',
            printWidth: 120,
            proseWrap: 'preserve',
            quoteProps: 'as-needed',
            requirePragma: false,
            semi: true,
            singleQuote: true,
            tabWidth: 2,
            trailingComma: 'none',
            useTabs: false
        },
        ...options
    };
    return {
        name: 'doxicity-copy-code-plugin',
        afterTransform: html => {
            return format(html, opts.prettierOptions);
        }
    };
}
