export default function (options) {
    const opts = {
        prefix: '',
        suffix: '',
        ignore: () => false,
        ...options
    };
    return {
        name: 'doxicity-custom-title-plugin',
        transform: (doc, page) => {
            if (opts.ignore(page)) {
                return doc;
            }
            const title = doc.querySelector('title');
            if (title) {
                title.innerHTML = `${opts.prefix}${title.innerHTML}${opts.suffix}`;
            }
            return doc;
        }
    };
}
