import smartquotes from 'smartquotes';
smartquotes.replacements.push([/\-\-\-/g, '\u2014']);
smartquotes.replacements.push([/\-\-/g, '\u2013']);
smartquotes.replacements.push([/\.\.\./g, '\u2026']);
smartquotes.replacements.push([/\(c\)/gi, '\u00A9']);
smartquotes.replacements.push([/\(r\)/gi, '\u00AE']);
smartquotes.replacements.push([/\?!/g, '\u2048']);
smartquotes.replacements.push([/!!/g, '\u203C']);
smartquotes.replacements.push([/\?\?/g, '\u2047']);
smartquotes.replacements.push([/([0-9]\s?)\-(\s?[0-9])/g, '$1\u2013$2']);
export default function (options) {
    const opts = {
        selector: 'main',
        ...options
    };
    return {
        name: 'doxicity-typography-plugin',
        transform: doc => {
            const elements = [...doc.querySelectorAll(opts.selector)];
            elements.forEach(el => smartquotes.element(el));
            return doc;
        }
    };
}
