import type { DoxicityPage } from '../types.js';
export declare class ConfigError extends Error {
    constructor(message: string);
}
export declare class MissingLayoutError extends Error {
    page: DoxicityPage;
    constructor(page: DoxicityPage, message: string);
}
export declare class TemplateCompileError extends Error {
    page: DoxicityPage;
    constructor(page: DoxicityPage, message: string);
}
export declare class ContentRenderError extends Error {
    page: DoxicityPage;
    constructor(page: DoxicityPage, message: string);
}
export declare class LayoutRenderError extends Error {
    page: DoxicityPage;
    constructor(page: DoxicityPage, message: string);
}
export declare class TransformPluginError extends Error {
    name: string;
    page: DoxicityPage;
    constructor(name: string, page: DoxicityPage, message: string);
}
export declare class AfterTransformPluginError extends Error {
    name: string;
    page: DoxicityPage;
    constructor(name: string, page: DoxicityPage, message: string);
}
export declare class AfterAllPluginError extends Error {
    name: string;
    constructor(name: string, message: string);
}
export declare class ReadError extends Error {
    constructor(message: string);
}
export declare class WriteError extends Error {
    constructor(message: string);
}
export declare class AmbiguousPartialError extends Error {
    filenames: string[];
    constructor(filenames: string[], message: string);
}
