import path from 'path';
export function getDestinationFilename(sourceFile, config) {
    const { dir, name } = path.parse(sourceFile);
    const outDir = path.join(config.destination, path.relative(config.source, dir));
    return path.join(outDir, `${name}.${config.pageExtension}`);
}
export function getPathname(sourceFile, config) {
    const destinationFile = getDestinationFilename(sourceFile, config);
    const { pathname } = new URL(`https://internal/${path.relative(config.destination, destinationFile)}`);
    return pathname;
}
export function getRelativeUrl(config, fullPath) {
    return `/${path.relative(config.destination, fullPath)}`;
}
export function isMarkdownFile(filename) {
    return filename.toLowerCase().endsWith('.md');
}
