import slugify from 'slugify';
export function createSlug(text) {
    return slugify(String(text), {
        remove: /[^\w|\s]/g,
        lower: true
    });
}
export function isExternalLink(link) {
    if (!link.hostname || link.hostname === 'internal')
        return false;
    return true;
}
export function normalizePathname(pathname) {
    pathname = pathname.trim();
    if (!pathname.startsWith('/')) {
        pathname = `/${pathname}`;
    }
    if (pathname.endsWith('/index.html')) {
        pathname = pathname.slice(0, -10);
    }
    return pathname;
}
